LIST L=ON
;NAME...........................VALUE............TYPE
;----------------------------------------------------

PIC84			EQU	000H		;RESET VECTOR

RTCC			EQU     1H		;
PC			EQU     2H		;

STATUS			EQU     3H              ;F3 REG IS STATUS REG.
; STATUS REG. BITS
C			EQU     0H		;	CARRY
DC			EQU     1H		;	DIGITAL CARRY
Z			EQU     2H		;	ZERO
PD			EQU     3H		;	POWER DOWN
TO			EQU     4H		;	T_OUT
RP0			EQU     5H      	;STATUS BITS
RP1			EQU     6H      	;STATUS BITS
IRP			EQU     7H      	;STATUS BITS

INTCON			EQU	00BH		;INTCON REGISTER
GIE			EQU     7H      	;INTCON REGISTER BITS
EEIE			EQU     6H      	;INTCON REGISTER BITS
RTIE			EQU     5H      	;INTCON REGISTER BITS
INTE			EQU     4H      	;INTCON REGISTER BITS
RBIE			EQU     3H      	;INTCON REGISTER BITS
RTIF			EQU     2H      	;INTCON REGISTER BITS
INTF			EQU     1H      	;INTCON REGISTER BITS
RBIF			EQU     0H      	;INTCON REGISTER BITS

EEDATA			EQU     008H		;16C84 EEPROM DATA REG.
EEADR			EQU	009H		;16C84 EEPROM DATA REG.
EECON1			EQU	088H		;16C84 EEPROM CONTROL REG. 1
	EE_RD		EQU	000H		;16C84 READ  CONTROL BIT
	EE_WR		EQU	001H		;16C84 WRITE CONTROL BIT
	EE_WREN		EQU	002H		;16C84 WRITE ENABLE BIT
	EE_WRERR	EQU	003H		;16C84 WRITE ERROR BIT
	EE_EEIF		EQU	004H		;16C84 WRITE COMPLETE BIT
EECON2			EQU	089H		;16C84 EEPROM CONTROL REG. 2

FSR			EQU     4H		;

PORT_A			EQU     5H
PORT_B			EQU     6H              ; I/O PORT ASSIGNMENTS
LATCH_A_MASK		EQU	B'00000100'	; RA.2 = INPUT
LATCH_B_MASK		EQU	B'00001001'	; RB.0 = I/O, RB.3 = INPUT

TRISA			EQU     85H     	;SPECIAL-PURPOSE REGISTERS
TRISB			EQU     86H     	;SPECIAL-PURPOSE REGISTERS
TRI_A_MASK		EQU	B'00000100'	; RA.2 = INPUT
TRI_B_MASK		EQU	B'00001001'	; RB.0 = I/O, RB.3 = INPUT

SOLDPO1			EQU	PORT_A		;SOLDER 1 PORT
SOLDPI1			EQU	2H		;SOLDER 1 INPUT_PIN RA.2
SOLDPO2			EQU	PORT_B		;SOLDER 2 PORT
SOLDPI2			EQU	3H		;SOLDER 2 INPUT_PIN RB.3

;------------------------------------------------

IND0			EQU	000H		; FILE
COM_PORT		EQU	PORT_B		; FILE
	ISORXD		EQU	000H		; BIT
	ISOTXD		EQU	000H		; BIT
FLAGS			EQU	00CH		; FILE
	CONVENTION	EQU	000H		; BIT
	CHCKSUM_REQUEST	EQU	001H		; BIT
	DECODE_ON_WRITE	EQU	002H		; BIT
	DECODE_ON_READ	EQU	003H		; BIT
	SEND_REG_B1	EQU	004H		; BIT
	INC_REQUEST	EQU	005H		; BIT
	STRING_REQUEST	EQU	006H		; BIT
	CHECKSUM_OK	EQU	007H		; BIT
REG_00			EQU	00DH		; FILE
REG_01			EQU	00EH		; FILE
REG_02			EQU	00FH		; FILE
REG_03			EQU	010H		; FILE
SEND_BYTE		EQU	REG_03		; FILE
READ_BYTE		EQU	REG_03		; FILE
REG_04			EQU	011H		; FILE
PSW			EQU	REG_04		; FILE
	PARITY		EQU	000H		; BIT
REG_05			EQU	012H		; FILE
INSTRUCTION_CLASS	EQU	013H		; FILE
INSTRUCTION_CODE	EQU	014H		; FILE
DUMMY1			EQU	015H		; FILE
COUNTER			EQU	016H		; FILE
CHECKSUM		EQU	017H		; FILE
DEC_KEY_POINTER		EQU	018H		; FILE
REG_B1_POINTER		EQU	019H		; FILE
REG_47			EQU	01AH		; FILE
ARRAY_REG_B1		EQU	01BH		; FILE ( 1B....22 )
FLAGS1			EQU	023H		; FILE
	STR_HEADER	EQU	000H		; BIT
	DATA_HEAD	EQU	001H		; BIT
	READ_82		EQU	002H		; BIT
	A82_HEADER	EQU	003H		; BIT
WORK			EQU	024H		; FILE
OSD_COUNT		EQU	025H		; FILE
C_MODE			EQU	026H		; FILE
C_MODE_EE_ADR		EQU	000H		; EEPROM ADDRESS C_MODE

;
;
SAME			EQU     1H
WREG			EQU	0H
;
LSB			EQU     0H
MSB			EQU     7H
;	
TRUE			EQU     1H
YES			EQU     1H
FALSE			EQU     0H
NO			EQU     0H
;
